[Overview][Procedures and functions][Index] | Reference for unit 'StreamIO' (#fcl)

# GetStream

Return the stream, associated with a file.

## Declaration

Source position: streamio.pp line 26

`function GetStream(`
`var F: TTextRec`
`):TStream;`

## Arguments

`F` |  | The file one wishes to get the stream from.

## Function result

The stream assigned to the file.

## Description

GetStream returns the instance of the stream that was associated with the file F using AssignStream.

## Errors

An invalid class reference will be returned if the file was not associated with a stream.

## See also

AssignStream |  | Assign a text file to a stream.
TStream